/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Dmanightflow;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 夜间最小流量分析表
 *
 * @author wangjieliu
 * @date Tue May 25 00:00:00 CST 2021
 */
public interface DmanightflowMapper extends BaseMapper<Dmanightflow> {
    IPage<Map> getMinFlowCollet(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate,Page page);

    List<Map> getMinFlowDetail(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate);

    IPage<Map> getMinFlowDetailPage(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate, Page page);

    List<Map> getNightFlow(@Param("table") String table, @Param("start") String start, @Param("end") String end);
    List<Map> getNightPress(@Param("table") String table, @Param("start") String start, @Param("end") String end);

    Double getMinFlow(@Param("table") String table);

    List<Dmanightflow> getFlowList(@Param("startTime") Date startTime,@Param("endTime") Date endTime);

    List<Dmanightflow> getPressureList(@Param("startTime") Date startTime,@Param("endTime") Date endTime);
}
